import { createRouter, createWebHistory, RouteRecordRaw } from 'vue-router'

const routes: Array<RouteRecordRaw> = [
  {
    path:"/mine",
    name:"Mine",
    component: () => import("../layout/Mine.vue"),
    children: [
      {
        path:"archives",
        name: "Archives",
        component: () => import("../views/mine/Archives.vue")
      },
      {
        path:"webcast",
        name: "Webcast",
        component: () => import("../views/mine/ReleaseWebcast.vue")
      },
      {
        path:"video",
        name: "Video",
        component: () => import("../views/mine/ReleaseVideo.vue")
      }
    ]
  },
  {
    path: '/',
    name: 'Home',
    component: () => import(/* webpackChunkName: "about" */ '../components/NavTop.vue')
  },
  {
    path: '/about',
    name: 'About',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  },
]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

export default router
